For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList Skills
      • GETList Skill Sources
      • GETList Skill Tags
      • GETGet Skill Content
      • GETList Skill Revisions
      • GETGet Skill Revision
      • GETGet Skill
      • GETList Project Skills
      • POSTCreate Project Skill
      • GETList Available Skills
      • GETGet Project Skill
      • POSTUpdate Project Skill
      • DELDelete Project Skill
      • GETGet Project Skill Content
      • GETList Project Skill Revisions
      • POSTCreate Project Skill Revision
      • GETGet Project Skill Revision
      • POSTActivate Project Skill Revision
      • GETIAM - List Skill Members
      • GETIAM - Lookup Skill Member
      • POSTIAM - Update Skill Member
      • POSTIAM - Test Skill Permissions
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceSkills

Create Project Skill Revision

POST
/org/:org_id/project/:project_id/skill/:skill_id/revision
POST
/api/v1/org/:org_id/project/:project_id/skill/:skill_id/revision
$curl -X POST https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/skill/skill_id/revision \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "instructions": "string"
>}'
1{
2 "id": "string",
3 "skill_id": "string",
4 "instructions": "string",
5 "skill_metadata": {},
6 "capabilities": {
7 "schema_version": "string",
8 "dependencies": [
9 {
10 "id": "string",
11 "type": "string",
12 "required": true,
13 "selector": {
14 "kind": "registered_key",
15 "value": "string"
16 }
17 }
18 ]
19 },
20 "annotation": "string",
21 "created": "string",
22 "reference_files": [
23 "string"
24 ],
25 "asset_files": [
26 "string"
27 ],
28 "reference_file_contents": [
29 {
30 "path": "string",
31 "content": "string",
32 "size_bytes": 1,
33 "size_kb": 1.1
34 }
35 ],
36 "asset_file_contents": [
37 {
38 "path": "string",
39 "content": "string",
40 "size_bytes": 1,
41 "size_kb": 1.1
42 }
43 ],
44 "script_files": [
45 "string"
46 ]
47}

Create a new revision for a project-scoped skill.

Was this page helpful?
Previous

Get Project Skill Revision

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

skill_idstringRequiredformat: "uuid"
The skill ID
org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID

Request

This endpoint expects an object.
instructionsstringRequired
The primary instructions for this revision.
reference_docsmap from strings to strings or nullOptional
Optional named reference files bundled with this revision.
assetsmap from strings to strings or nullOptional
Optional named asset files bundled with this revision.
skill_metadatamap from strings to any or nullOptional
Optional ADK skill metadata for this revision.
capabilitiesobject or nullOptional
Optional typed capability contract for this revision.
annotationstring or nullOptional<=255 characters
Optional human note describing this revision.
activatebooleanOptionalDefaults to true
Whether to immediately activate this revision.

Response

Project skill revision created
idstringformat: "uuid"
skill_idstringformat: "uuid"
instructionsstring
skill_metadatamap from strings to any or null
capabilitiesobject or null
annotationstring or null
createdstring
reference_fileslist of strings
asset_fileslist of strings
reference_file_contentslist of objects
asset_file_contentslist of objects
script_fileslist of strings

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error